> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ulm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Device Authorization Request verifications

> Use this API to verify a user code generated by /devicecode.



## OpenAPI

````yaml /portal/Amdocs_Media-MarketONE-OIDC-Released-resolved.yaml post /device/verify
openapi: 3.0.1
info:
  title: Connect OIDC APIs
  description: >-
    APIs that are used to provide, validate and assert user identities for
    Single Sign-On (SSO), and API workloads


    The APIs may be accessed through an active web session within the
    application (i.e. any JavaScript running on the server itself) or through
    authorizing a client application through OIDC or OAuth 2.0.


    The APIs can be accessed via a tenant specific domain.
  version: Draft-Go
servers:
  - url: https://nxt-ulm-pdt.m1amdocs.io/oidc
security: []
tags:
  - name: OIDC
    description: Public user API for OpenId connect specification
paths:
  /device/verify:
    post:
      tags:
        - OIDC
      summary: Device Authorization Request verifications
      description: Use this API to verify a user code generated by /devicecode.
      operationId: deviceAuthorizationVerify
      parameters:
        - name: user_code
          in: query
          description: The end-user verification code.
          required: true
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceUserResponse'
        '400':
          description: Bad Reuest
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceUserResponse400'
      security:
        - user-session-cookie: []
components:
  schemas:
    DeviceUserResponse:
      type: object
      properties:
        deviceCode:
          $ref: '#/components/schemas/DeviceCodeInfo'
        client:
          $ref: '#/components/schemas/ClientInfo'
        status:
          type: string
          enum:
            - APPROVED
            - DENIED
            - PENDING
        requestedScopes:
          type: array
          items:
            $ref: '#/components/schemas/SystemScope'
    DeviceUserResponse400:
      type: object
      properties:
        operationErrors:
          type: array
          items:
            $ref: '#/components/schemas/DeviceUserResponse400OperationErrors'
    DeviceCodeInfo:
      type: object
      properties:
        deviceCode:
          type: string
        userCode:
          type: string
        expiration:
          type: string
          format: datetime
        clientId:
          type: string
        approved:
          type: boolean
        scope:
          type: array
          description: requested scopes
          items:
            type: string
        requestParameters:
          type: object
          additionalProperties:
            type: string
          description: orginal request parameters
    ClientInfo:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        isDynamicallyRegistered:
          type: boolean
        homeURI:
          type: string
        logoURI:
          type: string
        policyURI:
          type: string
        tosURI:
          type: string
        subjectType:
          type: string
        provisionedScopes:
          type: array
          description: requested scopes
          items:
            type: string
        contacts:
          type: array
          description: requested scopes
          items:
            type: string
        registeredAt:
          type: string
          format: datetime
    SystemScope:
      type: object
      properties:
        id:
          type: integer
          format: int64
        value:
          type: string
        description:
          type: string
          description: human-readable description
        icon:
          type: string
          description: class of the icon to display on the auth page
        defaultScope:
          type: boolean
          description: is this a default scope for newly-registered clients?
          default: false
        restricted:
          type: boolean
          description: is this scope restricted to admin-only registration access?
          default: false
        structured:
          type: boolean
          description: is this a default scope for newly-registered clients?
          default: false
        structuredParamDescription:
          type: string
        structuredValue:
          type: string
    DeviceUserResponse400OperationErrors:
      type: object
      properties:
        code:
          type: string
          enum:
            - user_code_missing
            - user_code_expired
            - user_code_already_approved
            - user_code_session_mismatch
            - ACCESS_FORBIDDEN
            - MISSING_SERVLET_REQUEST_PARAMETER
        message:
          type: string
      example: null
  securitySchemes:
    user-session-cookie:
      type: apiKey
      name: JSESSIONID
      in: cookie

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.